import java.util.Iterator;
import java.util.List;

import org.hibernate.Session;

public class Main {
  public static void main(String[] args) throws Exception {
    HibernateUtil hibernateUtil = new HibernateUtil();
    hibernateUtil
        .executeSQLCommand("create table CD(id varchar,title varchar,artist varchar,purchaseDate date,cost decimal(6,2),languages varchar, newfeatures varchar)");


    Session session = hibernateUtil.getSession();
    CD cd = new CD();
    cd.setArtist("artist");
    cd.setTitle("title");
    
    String id = (String)session.save(cd);
    System.out.println(id);
    

    SpecialEditionCD scd = new SpecialEditionCD();
    scd.setNewfeatures("new");
    session.save(scd);
    
    InternationalCD icd = new InternationalCD();
    icd.setLanguages("ENG");
    session.save(icd);
    
    session.flush();

    session.close();
    hibernateUtil.checkData("select * from CD");
  }
}